#
# spec file for package perl-Calendar-Simple
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Calendar-Simple
Version:        1.23
Release:        bp153.1.14
%define cpan_name Calendar-Simple
Summary:        Perl extension to create simple calendars
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Calendar-Simple/
Source0:        https://cpan.metacpan.org/authors/id/D/DA/DAVECROSS/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Module::Build) >= 0.420000
Recommends:     perl(DateTime)
%{perl_requires}

%description
A very simple module that exports one function called 'calendar'.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f ! -name \*.pl -print0 | xargs -0 chmod 644

%build
%{__perl} Build.PL installdirs=vendor
./Build build flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install destdir=%{buildroot} create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Fri Feb 23 2018 coolo@suse.com
- updated to 1.23
  see /usr/share/doc/packages/perl-Calendar-Simple/Changes
* Thu Dec  6 2012 mopp@gmx.net
- removed perl-macros for openSUSE 11.4 and higher.
* Wed Aug 24 2011 chris@computersalat.de
- fix deps, build for CentOS
- remove Author from desc
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Fri Sep 17 2010 chris@computersalat.de
- recreated by cpanspec 1.78
- fix build
* Thu May  6 2010 lnussel@suse.de
- new version 1.21 which fixes testsuite with perl 5.11.0+
- make noarch
* Tue May  6 2008 lrupp@suse.de
- udpate to 1.20:
  + Added Licence.
  + Skip 2100 test on 64-bit systems.
  + Require Perl 5.6 (and, hence, use "our" and "warnings").
* Tue Oct 31 2006 tsieden@suse.de
- initial release 1.17
